/**
 * Image generator is form of app that generates image from input message
 *
 * @public exported from `@promptbook/core`
 */
export declare const ImageGeneratorFormfactorDefinition: {
    readonly name: "IMAGE_GENERATOR";
    readonly description: "Generates prompt for image generation from input message";
    readonly documentationUrl: "https://github.com/webgptorg/promptbook/discussions/184";
    readonly pipelineInterface: {
        readonly inputParameters: readonly [{
            readonly name: "inputMessage";
            readonly description: "Input message to be image made from";
            readonly isInput: true;
            readonly isOutput: false;
        }];
        readonly outputParameters: readonly [{
            readonly name: "prompt";
            readonly description: "Prompt to be used for image generation";
            readonly isInput: false;
            readonly isOutput: true;
        }];
    };
};
