import type { TupleToUnion } from 'type-fest';
/**
 * Type of the section
 */
export type SectionType = TupleToUnion<typeof SectionTypes>;
/**
 * All available sections which are not tasks
 *
 * @public exported from `@promptbook/core`
 */
export declare const NonTaskSectionTypes: readonly ["EXAMPLE", "KNOWLEDGE", "INSTRUMENT", "ACTION"];
/**
 * All available section types
 *
 * There is is distinction between task types and section types
 * - Every section in markdown has its SectionType
 * - Some sections are tasks but other can be non-task sections
 *
 * @public exported from `@promptbook/core`
 */
export declare const SectionTypes: readonly [...("PROMPT_TASK" | "SIMPLE_TASK" | "SCRIPT_TASK" | "DIALOG_TASK")[], "EXAMPLE", "KNOWLEDGE", "INSTRUMENT", "ACTION"];
