import type { PipelineJson } from '../../../pipeline/PipelineJson/PipelineJson';
import type { string_name } from '../../../types/typeAliases';
type RenameParameterOptions = {
    /**
     * Pipeline to search and replace for parameters
     * This pipeline is returned as copy with replaced parameters
     */
    readonly pipeline: PipelineJson;
    /**
     * Original parameter name that should be replaced
     */
    readonly oldParameterName: string_name;
    /**
     * New parameter name that should replace the original parameter name
     */
    readonly newParameterName: string_name;
};
/**
 * Function `renamePipelineParameter` will find all usable parameters for given task
 * In other words, it will find all parameters that are not used in the task itseld and all its dependencies
 *
 * @throws {PipelineLogicError} If the new parameter name is already used in the pipeline
 * @public exported from `@promptbook/editable`
 */
export declare function renamePipelineParameter(options: RenameParameterOptions): PipelineJson;
export {};
