import type { string_parameter_name } from '../../types/typeAliases';
import type { string_template } from '../../types/typeAliases';
import type { really_unknown } from '../organization/really_unknown';
/**
 * Replaces parameters in template with values from parameters object
 *
 * Note: This function is not places strings into string,
 *       It's more complex and can handle this operation specifically for LLM models
 *
 * @param template the template with parameters in {curly} braces
 * @param parameters the object with parameters
 * @returns the template with replaced parameters
 * @throws {PipelineExecutionError} if parameter is not defined, not closed, or not opened
 * @public exported from `@promptbook/utils`
 */
export declare function templateParameters(template: string_template, parameters: Record<string_parameter_name, really_unknown>): string;
